-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Mar 26, 2024 at 07:50 PM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.2.0

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `societa_di_calcio`
--

-- --------------------------------------------------------

--
-- Table structure for table `assegnazioni`
--

CREATE TABLE `assegnazioni` (
  `codice_fiscale` int(30) NOT NULL,
  `ID_Ruolo` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `assegnazioni`
--

INSERT INTO `assegnazioni` (`codice_fiscale`, `ID_Ruolo`) VALUES
(4, 1),
(7, 3),
(9, 3),
(1, 4),
(9, 2),
(10, 1);

-- --------------------------------------------------------

--
-- Table structure for table `categorie`
--

CREATE TABLE `categorie` (
  `ID_Categoria` int(5) NOT NULL,
  `nome` varchar(30) NOT NULL,
  `numero_max_anni` int(5) NOT NULL,
  `numero_min_anni` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `categorie`
--

INSERT INTO `categorie` (`ID_Categoria`, `nome`, `numero_max_anni`, `numero_min_anni`) VALUES
(1, 'serieA', 60, 20),
(2, 'serieB', 60, 18),
(3, 'serieC', 60, 16);

-- --------------------------------------------------------

--
-- Table structure for table `giocatori`
--

CREATE TABLE `giocatori` (
  `codice_fiscale` int(30) NOT NULL,
  `nome` varchar(40) NOT NULL,
  `cognome` varchar(60) NOT NULL,
  `telefono` varchar(15) NOT NULL,
  `indirizzo` varchar(30) NOT NULL,
  `eta` int(10) NOT NULL,
  `ID_Categoria` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `giocatori`
--

INSERT INTO `giocatori` (`codice_fiscale`, `nome`, `cognome`, `telefono`, `indirizzo`, `eta`, `ID_Categoria`) VALUES
(1, 'Mario', 'Rossi', '1234567890', 'Via delle pere 10 ', 16, 3),
(3, 'Pietro', 'Verdi', '2456789012', 'Via dei rossi 10 ', 18, 2),
(4, 'Alessandro', 'Parto', '4567890123', 'Piazza San Marco', 20, 1),
(7, 'Francesco', 'Totti', '7890123456', 'Via Roma 2', 21, 1),
(9, 'Carlo', 'Sainz', '9012345678', 'Via Ferrari 4', 17, 2),
(10, 'Salvatore', 'Ambrosio', '0123456788', 'Via delle ambrotte 2', 23, 2);

-- --------------------------------------------------------

--
-- Table structure for table `ruoli`
--

CREATE TABLE `ruoli` (
  `ID_Ruolo` int(5) NOT NULL,
  `nome` varchar(30) NOT NULL,
  `descrizione` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `ruoli`
--

INSERT INTO `ruoli` (`ID_Ruolo`, `nome`, `descrizione`) VALUES
(1, 'Portiere', 'Sta in porta'),
(2, 'Difensore', 'Difende la porta'),
(3, 'Attaccante', 'Cerca di fare goal'),
(4, 'Fascia', 'Gioca laterale nel campo');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `assegnazioni`
--
ALTER TABLE `assegnazioni`
  ADD KEY `codice_fiscale_f` (`codice_fiscale`),
  ADD KEY `id_ruolo_f` (`ID_Ruolo`);

--
-- Indexes for table `categorie`
--
ALTER TABLE `categorie`
  ADD PRIMARY KEY (`ID_Categoria`);

--
-- Indexes for table `giocatori`
--
ALTER TABLE `giocatori`
  ADD PRIMARY KEY (`codice_fiscale`),
  ADD KEY `categoria_f` (`ID_Categoria`);

--
-- Indexes for table `ruoli`
--
ALTER TABLE `ruoli`
  ADD PRIMARY KEY (`ID_Ruolo`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `categorie`
--
ALTER TABLE `categorie`
  MODIFY `ID_Categoria` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `giocatori`
--
ALTER TABLE `giocatori`
  MODIFY `codice_fiscale` int(30) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT for table `ruoli`
--
ALTER TABLE `ruoli`
  MODIFY `ID_Ruolo` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `assegnazioni`
--
ALTER TABLE `assegnazioni`
  ADD CONSTRAINT `codice_fiscale_f` FOREIGN KEY (`codice_fiscale`) REFERENCES `giocatori` (`codice_fiscale`),
  ADD CONSTRAINT `id_ruolo_f` FOREIGN KEY (`ID_Ruolo`) REFERENCES `ruoli` (`ID_Ruolo`);

--
-- Constraints for table `giocatori`
--
ALTER TABLE `giocatori`
  ADD CONSTRAINT `categoria_f` FOREIGN KEY (`ID_Categoria`) REFERENCES `categorie` (`ID_Categoria`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
